? src/winhugs/echodate.h
? src/winhugs/notes.txt
Index: src/char.h
===================================================================
RCS file: /cvs/hugs98/src/char.h,v
retrieving revision 1.10
diff -u -r1.10 char.h
--- src/char.h	22 Apr 2005 12:05:50 -0000	1.10
+++ src/char.h	20 May 2005 13:18:24 -0000
@@ -166,4 +166,13 @@
 
 #endif /* !CHAR_ENCODING */
 
+
+#ifdef HUGS_FOR_WINDOWS
+#  undef FPutChar
+#  undef FGetChar
+#  define FPutChar     Win_fputc_mb
+#  define FGetChar     Win_fgetc_mb
+#endif
+
+
 #endif /* CHAR_H */
Index: src/winhugs/Winframe.c
===================================================================
RCS file: /cvs/hugs98/src/winhugs/Winframe.c,v
retrieving revision 1.6
diff -u -r1.6 Winframe.c
--- src/winhugs/Winframe.c	27 Nov 2003 02:11:34 -0000	1.6
+++ src/winhugs/Winframe.c	19 May 2005 19:03:29 -0000
@@ -15,7 +15,6 @@
 #define STRICT 1
 
 #include <malloc.h>
-#include <ctl3d.h>
 #include <shellapi.h>
 
 #include "WinFrame.h"
Index: src/winhugs/Wintext.h
===================================================================
RCS file: /cvs/hugs98/src/winhugs/Wintext.h,v
retrieving revision 1.9
diff -u -r1.9 Wintext.h
--- src/winhugs/Wintext.h	27 Nov 2003 02:11:35 -0000	1.9
+++ src/winhugs/Wintext.h	20 May 2005 12:47:43 -0000
@@ -75,11 +75,14 @@
 #define         putchar(x)      WinPutchar(hWndText,(CHAR)(x))
 #undef          putc
 #define         putc(c,s)       WinPutc(hWndText,(CHAR)c,s)
-//#define         fputc(c,s)      WinPutc(hWndText,c,s)
+#define         fputc(c,s)      WinPutc(hWndText,c,s)
 #define         kbhit()         WinKbhit(hWndText)
 #undef          getchar
 #define         getchar()       WinGetc(hWndText, stdin)
 #define         getch()         WinGetch(hWndText)
+
+#define Win_fputc_mb(c,f) WinPutc(hWndText,c,f)
+#define Win_fgetc_mb(f)   WinGetc(hWndText,f)
 
 /* fprintf (stdstr, ...) is used to direct output to the string stdstrbuff  */
 extern FILE *stdstr;
